com.tibco.ep.sb.ads

## Enum ArtifactMessage.Severity

- java.lang.Object
- - java.lang.Enum<ArtifactMessage.Severity>
  - - com.tibco.ep.sb.ads.ArtifactMessage.Severity

- All Implemented Interfaces:
    Serializable, Comparable<ArtifactMessage.Severity>
  Enclosing class:
    ArtifactMessage

      public static enum ArtifactMessage.Severity
      extends Enum<ArtifactMessage.Severity>

  Message severity

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG` Debug message
    `ERROR` Error message
    `INFO` Information message
    `TRACE` Trace message
    `WARN` Warning message

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ArtifactMessage.Severity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ArtifactMessage.Severity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final ArtifactMessage.Severity ERROR

      Error message

    - #### WARN

          public static final ArtifactMessage.Severity WARN

      Warning message

    - #### INFO

          public static final ArtifactMessage.Severity INFO

      Information message

    - #### DEBUG

          public static final ArtifactMessage.Severity DEBUG

      Debug message

    - #### TRACE

          public static final ArtifactMessage.Severity TRACE

      Trace message

  - ### Method Detail

    - #### values

          public static ArtifactMessage.Severity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ArtifactMessage.Severity c : ArtifactMessage.Severity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ArtifactMessage.Severity valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.